Create Crypto Wallet
curl --request POST \
--url https://api-production.fossapay.com/api/v1/wallets/crypto/create \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"network": "<string>",
"customerId": "<string>"
}
'import requests
url = "https://api-production.fossapay.com/api/v1/wallets/crypto/create"
payload = {
"network": "<string>",
"customerId": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({network: '<string>', customerId: '<string>'})
};
fetch('https://api-production.fossapay.com/api/v1/wallets/crypto/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Crypto wallet created successfully",
"data": {
"walletId": "user:u3d",
"address": "8a0BY97fxiX26Pe2ckc3ke...z5MtWBCVk4pEx96Sqeb",
"network": "solana"
}
}
Crypto Wallets
Create Crypto Wallet
Create a new crypto wallet for a merchant
POST
/
api
/
v1
/
wallets
/
crypto
/
create
Create Crypto Wallet
Request
API Key for authentication
The blockchain network for the crypto wallet. Must be one of:
solana, evmUUID of the customer for whom the wallet is being created
Request Example
curl -X POST https://api-production.fossapay.com/api/v1/wallets/crypto/create \
-H "x-api-key: your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"network": "solana",
"customerId": "550e8400-e29b-41d4-a716-446655440000"
}'
const response = await fetch('https://api-production.fossapay.com/api/v1/wallets/crypto/create', {
method: 'POST',
headers: {
'x-api-key': 'your_api_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
network: 'solana',
customerId: '550e8400-e29b-41d4-a716-446655440000'
})
});
if (!response.ok) {
throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}
const cryptoWallet = await response.json();
Response
{
"success": true,
"message": "Crypto wallet created successfully",
"data": {
"walletId": "user:u3d",
"address": "8a0BY97fxiX26Pe2ckc3ke...z5MtWBCVk4pEx96Sqeb",
"network": "solana"
}
}
⌘I

